%global octpkg odepkg

Name:           octave-%{octpkg}
Version:        0.8.5
Release:        1%{?dist}
Summary:        A package for solving ordinary differential equations and more

# Most source files are GPLv2+
# A few source files are BSD in src/daskr
License:        GPLv2+ and BSD
URL:            http://octave.sourceforge.net/odepkg/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz

BuildRequires:  octave-devel

Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave

%description
A package for solving ordinary differential equations and more

%prep
%setup -q -n %{octpkg}-%{version}

# correct wrong end of line encoding errors
iconv -f iso8859-1 -t utf-8 doc/odepkg.texi > doc/odepkg.texi.conv && mv -f doc/odepkg.texi.conv doc/odepkg.texi


%build
%octave_pkg_build
chmod 0644 src/daskr/*

%install
%octave_pkg_install

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%{octpkglibdir}
%dir %{octpkgdir}
%{octpkgdir}/*.m
%{octpkgdir}/packinfo

%doc %{octpkgdir}/doc-cache
%doc %{octpkgdir}/doc
%doc COPYING

%changelog
* Tue Jul 07 2015 Orion Poplawski <orion@cora.nwra.com> - 0.8.5-1
- Update to 0.8.5

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.8.4-4
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 25 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.8.4-1
- Update to latest upstream release

* Sun Dec 29 2013 Orion Poplawski <orion@cora.nwra.com> - 0.8.2-7
- Rebuild for octave 3.8.0

* Sun Sep 22 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.8.2-6
- Rebuild for atlas rebase

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Dec 06 2012 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.8.2-3
- specbump to attempt another build

* Wed Oct 24 2012 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.8.2-2
- Added comment for the two licenses
- Correct permissions

* Thu Oct 18 2012 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.8.2-1
- inital rpm build

